## aiksaurus 1.2.1%2Bdev-0.12

=== debian/changelog ===
aiksaurus (1.2.1+dev-0.12-7.2build1) noble; urgency=high

  * No change rebuild against frame pointers and time_t.

 -- Julian Andres Klode <juliank@ubuntu.com>  Mon, 22 Apr 2024 11:40:03 +0200

aiksaurus (1.2.1+dev-0.12-7.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Add previously implied build dependency pkg-config. (Closes: #1053537)
  * d/rules: Drop unnecessary override_dh_auto_configure.
  * Add Homepage. (Closes: #1035418)

 -- Bastian Germann <bage@debian.org>  Fri, 06 Oct 2023 00:28:37 +0200

aiksaurus (1.2.1+dev-0.12-7.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Drop gaiksaurus and libaiksaurusgtk packages. (Closes: #967248)

 -- Bastian Germann <bage@debian.org>  Sat, 23 Sep 2023 07:43:10 +0000

aiksaurus (1.2.1+dev-0.12-7) unstable; urgency=medium

  * adopt package; add myself as maintainer;
    closes: bug#836473, thanks to Masayuki Hatta for past work
  * add git-buildpackage config:
    + enable pristine-tar
    + enable signed tags
    + filter-out any .git* file
    + use DEP14 branch naming scheme
  * work around FTPFS with g++ 11 by setting CXXFLAG -std=c++14;
    closes: bug#983963, thanks to Matthias Klose
  * use debhelper compatibility level 13 (not 9);
    explicitly list *.la files as not installed;
    build-depend on debhelper-compat (not debhelper);
    stop build-depend explicitly on dh-autoreconf
  * omit install missing GTK documentation files

 -- Jonas Smedegaard <dr@jones.dk>  Sun, 07 Nov 2021 06:22:57 +0100

aiksaurus (1.2.1+dev-0.12-6.3) unstable; urgency=medium

  * Non-maintainer upload.

  [ Fabian Wolff ]
  * Rewrite and clean up debian/rules (Closes: #817290, #821961).
  * Fix all Lintian warnings and errors.
    - update compat level and debhelper
    - wrap and sort
    - copyright in dep5
    - missing misc depends
    - missing target in rules
    - dh-clean deprecated
    - outdated std-version
    - versioned debhelper missing
    - binary without manpage
    - harderning missing
    - spelling errors
    - missing ldconfig trigger
    - various more fixes.
  * Install libAiksaurus[GTK]-1.2.so instead of libAiksaurus[GTK].so.
  * Upgrade to source format 3.0 (quilt) and Standards version 3.9.8.

  [ Gianfranco Costamagna ]
  * Upload to unstable.
  * Extract into a single patch the changes done in native mode
    (removing changes to autotools, now we do autoreconf)

 -- Fabian Wolff <fabi.wolff@arcor.de>  Tue, 10 May 2016 23:21:21 +0200

aiksaurus (1.2.1+dev-0.12-6.2) unstable; urgency=low

  * Non-maintainer upload.
  * autoreconf on build to suport new architectures (Closes: 756031)

 -- Wookey <wookey@debian.org>  Sun, 12 Oct 2014 02:36:19 +0000

aiksaurus (1.2.1+dev-0.12-6.1) unstable; urgency=low

  * Non-maintainer upload.
  * Don't ship .la files (Closes: #621155).

 -- Luk Claes <luk@debian.org>  Sat, 11 Jun 2011 15:05:12 +0200

aiksaurus (1.2.1+dev-0.12-6) unstable; urgency=low

  * Bupmed to Standards-Version: 3.8.0.

 -- Masayuki Hatta (mhatta) <mhatta@debian.org>  Mon, 14 Jul 2008 02:23:10 +0900

aiksaurus (1.2.1+dev-0.12-5) unstable; urgency=low

  * Bumped to Standards-Version: 3.7.3.
  * Fixed various lintian warnings.
  * Fixed FTBFS with gcc-4.3 - closes: #451678
  * Added gaiksaurus.desktop from Ubuntu - closes: #451683
  * Added aiksaurus.1 manpage, thanks Marcela Tiznado - closes: #436191

 -- Masayuki Hatta (mhatta) <mhatta@debian.org>  Sun, 09 Dec 2007 09:09:27 +0900

aiksaurus (1.2.1+dev-0.12-4) unstable; urgency=low

  * Fixed build problem with GCC 4.3 - closes: #417079

 -- Masayuki Hatta (mhatta) <mhatta@debian.org>  Tue, 01 May 2007 17:13:30 +0900

aiksaurus (1.2.1+dev-0.12-3) unstable; urgency=low

  * Bumped to Standards-Verion: 3.7.2.
  * Acknowledged a (really old) NMU - closes: #241279

 -- Masayuki Hatta (mhatta) <mhatta@debian.org>  Mon,  9 Oct 2006 22:47:44 +0900

aiksaurus (1.2.1+dev-0.12-2.1) unstable; urgency=high

  * Non-maintainer upload.
  * Rebuild to remove reference to libXcursor.la, so that abiword can be
    built.

 -- Joshua Kwan <joshk@triplehelix.org>  Tue,  2 May 2006 19:13:21 -0700

aiksaurus (1.2.1+dev-0.12-2) unstable; urgency=low

  * Works done at Codefest in Malaysia 2006.
  * Acknowledged NMU, thanks vorlon - closes: #339144, #318883
  * Bumped to Standards-Version: 3.6.2.2 (no physical changes).
  * Updated FSF's address in debian/copyright.

 -- Masayuki Hatta (mhatta) <mhatta@debian.org>  Sun,  5 Mar 2006 00:51:49 +0900

aiksaurus (1.2.1+dev-0.12-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Medium-urgency upload for RC bugfix.
  * Rename libaiksaurus-1.2-0 to libaiksaurus-1.2-0c2a, and rename
    libaiksaurusgtk0 to libaiksaurusgtk0c2a for the libstdc++ allocator
    change (closes: #339144).
  * Drop irrelevant shlibs entries that don't correspond to any shipped
    libs.
  * Drop build-dependency on libstdc++2.10-dev.
  * Fix tools in data/0.12-dev/ to build with a modern C++ compiler, so
    that we have full valid source for being able to regenerate the
    thesaurus data files.

 -- Steve Langasek <vorlon@debian.org>  Sun, 27 Nov 2005 00:24:13 -0800

aiksaurus (1.2.1+dev-0.12-1) unstable; urgency=low

  * New upstream release
  * Acknowledged NMUs - closes: #249909, #262556
  * Now buildable on ia64 and kfreebsd-i386 - closes: #315156, #316574
  * Made Standards-Version: 3.6.2.1 (no physical changes).
  * Package names are massively changed.  It serves GCC 4.0 transition, too.
  * No uses dpatch.

 -- Masayuki Hatta (mhatta) <mhatta@debian.org>  Thu, 14 Jul 2005 16:11:32 +0900

aiksaurus (1.0.1+cvs.2004.03.15+dev-0.12-0.2) unstable; urgency=low

  * Non-maintainer upload.
  * Only depend on libstdc++2.10-dev on platforms which provide it;
    this should be sufficient to satisfy the "buildable from source"
    requirement, since the bits we would need g++2.95 for aren't
    actually being regenerated as part of the build.  Closes: #262556.

 -- Steve Langasek <vorlon@debian.org>  Fri, 13 Aug 2004 00:30:52 -0700


