## aiksaurus 1.2.1+dev-0.12

=== debian/control ===
Source: aiksaurus
Maintainer: Jonas Smedegaard <dr@jones.dk>
Section: devel
Priority: optional
Build-Depends:
 debhelper-compat (= 13),
 libpng-dev,
 pkg-config,
Standards-Version: 3.9.8
Homepage: https://aiksaurus.sourceforge.net/

Package: libaiksaurus-1.2-dev
Architecture: any
Section: libdevel
Depends:
 libaiksaurus-1.2-0c2a (= ${binary:Version}),
 ${misc:Depends},
Conflicts:
 libaiksaurus-dev,
Provides:
 libaiksaurus-dev,
Description: This package provides an English-language thesaurus (development files)
 Aiksaurus is an English-language thesaurus that is suitable for integration
 with word processors, email composers, and other authoring software.
 .
 This package contains files needed for development with Aiksaurus.

Package: libaiksaurus-1.2-0c2a
Architecture: any
Section: libs
Depends:
 libaiksaurus-1.2-data,
 ${misc:Depends},
 ${shlibs:Depends},
Conflicts:
 libaiksaurus-1.2-0,
 libaiksaurus0,
 libaiksaurus0c102,
Replaces:
 libaiksaurus-1.2-0,
 libaiksaurus0,
 libaiksaurus0c102,
Description: This package provides an English-language thesaurus (development)
 Aiksaurus is an English-language thesaurus that is suitable for integration
 with word processors, email composers, and other authoring software.
 .
 This package contains the shared library.

Package: aiksaurus
Architecture: any
Section: text
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Conflicts:
 libaiksaurus-bin,
Provides:
 libaiksaurus-bin,
Replaces:
 libaiksaurus-bin,
Description: This package provides an English-language thesaurus (utility)
 Aiksaurus is an English-language thesaurus that is suitable for integration
 with word processors, email composers, and other authoring software.
 .
 This package contains aiksaurus, a command-line frontend for Aiksaurus.

Package: libaiksaurus-1.2-data
Architecture: all
Section: libs
Depends:
 ${misc:Depends},
Conflicts:
 libaiksaurus-data,
Provides:
 libaiksaurus-data,
Description: This package provides an English-language thesaurus (data)
 Aiksaurus is an English-language thesaurus that is suitable for integration
 with word processors, email composers, and other authoring software.
 .
 This package contains thesaurus data.
