=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
# export DH_VERBOSE = 1

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed

# TODO: patch code to support C++17 (see bug#983963)
export DEB_CXXFLAGS_MAINT_APPEND = -std=c++14

%:
	dh $@

override_dh_autoreconf:
	AUTOMAKE="automake --foreign" dh_autoreconf

execute_before_dh_install:
	mkdir -p debian/tmp/usr/share/applications/
	mkdir -p debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/pkgconfig/
	rm -rf debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/pkgconfig/*
	echo "deb_host_multiarch=$(DEB_HOST_MULTIARCH)" > debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/pkgconfig/aiksaurus-1.2.pc
	cat debian/aiksaurus-1.2.pc.in >> debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/pkgconfig/aiksaurus-1.2.pc
