=== debian/watch ===
version=4
http://sf.net/aiksaurus/ aiksaurus-([\d\.]+)\.tar\.gz debian uupdate
